{% extends "::layout.html.twig" %}
{% set section="veaf_spawn" %}

{% block pageWrapper %}
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">VEAF Marker Commands Helper</h1>
        </div>
    </div>
    <div class="row">
        {# general information #}
        <div class="col-sm-6 col-md-3">

            <h2><a>SPAWN Convoy</a></h2>
            <div class="alert alert-warning">
                <i class="fa fa-warning"></i> You should create first a named point with <a href="{{ path('veaf_marker_helper', {'spawn': 'point'}) }}">name point</a> command.
            </div>

            {% include "@App/veaf_marker/_armor.html.twig" with {"armor": options.convoy.armor } %}
            {% include "@App/veaf_marker/_defense.html.twig" with {"defense": options.convoy.defense } %}

            Transport:
            <select id="transport" class="form-control">
                {% for value,label in options.convoy.transport.values %}
                    <option value="{{ value }}" {% if value == options.convoy.transport.default %}selected{% endif %}>{{ label }}</option>
                {% endfor %}
            </select>
            <br/>

            Destination:
            <input id="dest" class="form-control" value="MYPOINT"/>

            {% include "@App/veaf_marker/_country.html.twig" with {"country": options.convoy.country } %}
            <br/>

            Marker command:
            <input type="text" id="convoy_cmd" class="form-control"/>
            <br/>

            <script>
                function updateConvoy() {
                    var cmd = "_spawn convoy";
                    cmd = cmd + ", destination " + $("#dest").val();
                    cmd = cmd + ", armor " + $("#armor").val();
                    cmd = cmd + ", defense " + $("#defense").val();
                    cmd = cmd + ", transport " + $("#transport").val();
                    cmd = cmd + ", country " + $("#country").val();
                    $("#convoy_cmd").val(cmd);
                }

                updateConvoy();

                $("select").change(function () {
                    updateConvoy();
                });

                $("#dest").keyup(function () {
                    updateConvoy();
                });

            </script>

            <img src="{{ asset('img/veaf/marker/helper/convoy/04_convoy_view.jpg') }}" class="img-responsive"/>
        </div>

        <div class="col-sm-6 col-md-9">
            <h2><a>Tutorial</a></h2>

            <div class="row">
                <div class="col-sm-12">
                    <h2>Create a named point</h2>
                    <img src="{{ asset('img/veaf/marker/helper/convoy/01_name_point.png') }}" class="img-responsive"/>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <h2>Create a new convoy (destination is the named point)</h2>
                    <img src="{{ asset('img/veaf/marker/helper/convoy/02_spawn_convoy.png') }}" class="img-responsive"/>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <h2>A convoy will spawn, rejoin the nearest road, and follow the road to destination</h2>
                    <img src="{{ asset('img/veaf/marker/helper/convoy/03_convoy_overview.png') }}" class="img-responsive"/>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
